Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExporter Class Reference

`#include <vtkExporter.h>`

Inheritance diagram for vtkExporter:

[legend]
Collaboration diagram for vtkExporter:

[legend]
List of all members.

## Detailed Description

abstract class to write a scene to a file

Date:
  2002/05/27 14:48:16

Revision:
  1.27

vtkExporter is an abstract class that exports a scene to a file. It is very similar to vtkWriter except that a writer only writes out the geometric and topological data for an object, where an exporter can write out material properties, lighting, camera parameters etc. The concrete subclasses of this class may not write out all of this information. For example vtkOBJExporter writes out Wavefront obj files which do not include support for camera parameters.

vtkExporter provides the convenience methods StartWrite() and EndWrite(). These methods are executed before and after execution of the Write() method. You can also specify arguments to these methods. This class defines SetInput and GetInput methods which take or return a vtkRenderWindow.

Warning:
  Every subclass of vtkExporter must implement a WriteData() method.

See also:
  vtkOBJExporter vtkRenderWindow vtkWriter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (72%)
  - Kelly, Ann (8%)
  - Law, Charles (6%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkExporter.h)`
  - .`cxx` (`/Rendering/vtkExporter.cxx)`

Definition at line 61 of file vtkExporter.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Write ()
void | Update ()
void | SetStartWrite (void(*f)(void *), void *arg)
void | SetEndWrite (void(*f)(void *), void *arg)
void | SetStartWriteArgDelete (void(*f)(void *))
void | SetEndWriteArgDelete (void(*f)(void *))
unsigned long | GetMTime ()
virtual void | SetRenderWindow (vtkRenderWindow *)
virtual vtkRenderWindow * | GetRenderWindow ()
void | SetInput (vtkRenderWindow *renWin)
vtkRenderWindow * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExporter ()
| ~vtkExporter ()
virtual void | WriteData ()=0
## Protected Attributes
vtkRenderWindow * | RenderWindow
void(* | StartWrite )(void *)
void(* | StartWriteArgDelete )(void *)
void * | StartWriteArg
void(* | EndWrite )(void *)
void(* | EndWriteArgDelete )(void *)
void * | EndWriteArg

## Member Typedef Documentation

typedef vtkObject vtkExporter::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter. Definition at line 64 of file vtkExporter.h.

## Constructor & Destructor Documentation

vtkExporter::vtkExporter | ( |  | ) | `[protected]`

vtkExporter::~vtkExporter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkExporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

int vtkExporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

virtual int vtkExporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

vtkExporter* vtkExporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

void vtkExporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

virtual void vtkExporter::Write | ( |  | ) | `[virtual]`

| Write data to output. Method executes subclasses WriteData() method, as well as StartWrite() and EndWrite() methods.

void vtkExporter::Update | ( |  | ) |

| Convenient alias for Write() method.

virtual void vtkExporter::SetRenderWindow | ( | vtkRenderWindow * |  | ) | `[virtual]`

| Set/Get the rendering window that contains the scene to be written.

virtual vtkRenderWindow* vtkExporter::GetRenderWindow | ( |  | ) | `[virtual]`

| Set/Get the rendering window that contains the scene to be written.

void vtkExporter::SetInput | ( | vtkRenderWindow * | renWin | ) | `[inline]`

| These methods are provided for backward compatibility. Will disappear soon. Definition at line 83 of file vtkExporter.h.

vtkRenderWindow* vtkExporter::GetInput | ( |  | ) | `[inline]`

| These methods are provided for backward compatibility. Will disappear soon. Definition at line 84 of file vtkExporter.h.

void vtkExporter::SetStartWrite | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| Specify a function to be called before data is written. Function will be called with argument provided.

void vtkExporter::SetEndWrite | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| Specify a function to be called after data is written. Function will be called with argument provided.

void vtkExporter::SetStartWriteArgDelete | ( | void(* | f)(void *) | ) |

| Set the arg delete method. This is used to free user memory.

void vtkExporter::SetEndWriteArgDelete | ( | void(* | f)(void *) | ) |

| Set the arg delete method. This is used to free user memory.

unsigned long vtkExporter::GetMTime | ( |  | ) | `[virtual]`

| Returns the MTime also considering the RenderWindow. Reimplemented from vtkObject.

virtual void vtkExporter::WriteData | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkRIBExporter, vtkIVExporter, vtkOBJExporter, vtkOOGLExporter, and vtkVRMLExporter.

## Member Data Documentation

vtkRenderWindow* vtkExporter::RenderWindow`[protected]`

| Definition at line 108 of file vtkExporter.h.

void(* vtkExporter::StartWrite)(void *)`[protected]`

void(* vtkExporter::StartWriteArgDelete)(void *)`[protected]`

void* vtkExporter::StartWriteArg`[protected]`

| Definition at line 113 of file vtkExporter.h.

void(* vtkExporter::EndWrite)(void *)`[protected]`

void(* vtkExporter::EndWriteArgDelete)(void *)`[protected]`

void* vtkExporter::EndWriteArg`[protected]`

| Definition at line 116 of file vtkExporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkExporter.h